I would really like to install Chiliproject to give it a spin. We are currently using Trac but I like all the features 
that is automatically provided by Chiliproject.

I unfortunately have been struggling for a day now with the installation on Ubuntu Precise 12.04. The problem 
lies with the adding of the PPA to fix the problem with the Ruby install as per the installation instructions. See 
below for terminal outputs:

------------------------------------

root@gkempff-lnb1:~# apt-add-repository ppa:brightbox/ruby-ng
You are about to add the following PPA to your system:
 Next generation Ruby EE and 1.9.3 packages.

These packages have various patches applied so are not vanilla upstream rebuilds.
See http://docs.brightbox.com/ruby/ubuntu/ for more details.

More info: https://launchpad.net/~brightbox/+archive/ruby-ng
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.5ZwS79HPYm 
--trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg 
--keyserver hkp://keyserver.ubuntu.com:80/ --recv 80F70E11F0F0D5F10CB20E62F5DA5F09C3173AA6
gpg: requesting key C3173AA6 from hkp server keyserver.ubuntu.com
gpgkeys: key 80F70E11F0F0D5F10CB20E62F5DA5F09C3173AA6 not found on keyserver
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0

------------------------------------
 
I am really struggling so much I would rather install all the additional plugins we require for Trac at this 
stage...Any help would be appreciated!!

Thanks!

History
2013-04-12 04:59 pm - Chris Dähn
Hi,

the howto you used is just one option to install Ruby - and the server listed seems to have problems with signatures, so it's maybe not as secure as it 
should be.

Why not trying other howto's? 
e.g.:
http://lenni.info/blog/2012/05/installing-ruby-1-9-3-on-ubuntu-12-04-precise-pengolin/

Besides:
I came from Trac originally and migrated to ChiliProject - if you have issues migrating directly to CP 3.x, then search the discussion forum - there we 
had some threads about Trac migration. If that doesn't help: Just add a new thread - we'll try to help.

ciao,
chris

2013-04-15 07:54 am - Gerard Kempff
- Status changed from Open to Closed

Hi

Thanks a lot, this solved it!! Another note, I had to install the 'libxslt1-dev' package before ChiliProject installed correctly. Maybe both of these can be 
added to the install wiki?

Luckily we haven't been actively using Trac in the last 6 months and we are starting all our new projects now, so it is a good time to make a clean 
break.

Thanks for the help, much appreciated!
Gerard

2013-04-17 12:00 am - Chris Dähn
:-)  ...the needed lib heavily depend on the distribution - we currently work on the docu and maybe a small install helper script (which is a wish / a 
proposal only currently)...

Starting off from scratch is the cleanest way - migration causes much work and Trac / CP have some slightly different concepts, so would be the best 
starting with a clean brand new system :-)

Greets from northern Germany,
Chris
